package org.greenstone.gatherer.gui.border;

import java.awt.*;
import javax.swing.border.*;

public class TitledBorder 
    extends javax.swing.border.TitledBorder {
    /** The parent component of this border, which is not available until the Border has been realized. */
    private Component parent;
    /** Creates a TitledBorder instance with the specified border and an empty title. */
    public TitledBorder(Border border) {
	super(border);
    }
    /** Creates a TitledBorder instance with the specified border and title. */
    public TitledBorder(Border border, String title) {
	super(border, title);
    }
    /** Creates a TitledBorder instance with the specified border, title, title-justification, and title-position. */
    public TitledBorder(Border border, String title, int justification, int position) {
	super(border, title, justification, position);
    }
    /** Creates a TitledBorder instance with the specified border, title, title-justification, title-position, and title-font. */
    public TitledBorder(Border border, String title, int justification, int position, Font font) {
	super(border, title, justification, position);
    }
    /** Creates a TitledBorder instance with the specified border, title, title-justification, title-position, title-font, and title-color. */
    public TitledBorder(Border border, String title, int justification, int position, Font font, Color color) {
	super(border, title, justification, position, font, color);
    }
    /** Creates a TitledBorder instance. */   
    public TitledBorder(String title) {
	super(title);
    }
    /** Gets the parent of this component. */
    public Component getParent() {
	return parent;
    }
    /** Paints the border for the specified component with the specified position and size. */
    public void paintBorder(Component c, Graphics g, int x, int y, int width, int height) {
	// We assume that this border belongs to whatever component we paint it on.
	parent = c;
	// Now we continue normal painting.
	super.paintBorder(c, g, x, y, width, height);
    }     
}
